/*$Id: barajar.h,v 1.1 2004/04/18 20:29:31 mundacho Exp mundacho $*/

#ifndef BARAJAR /*protejemos de doble inclusin*/

#define BARAJAR
#include <stdio.h>
#include <stdlib.h>
#include <sys/times.h>

struct carta { /*lista enlazada para la baraja*/
	int nro;
	int palo;
	struct carta *sig;
};

typedef struct carta BARAJA;
#define CARTAS 40  /*nro de cartas*/


/*Prototipos de funciones*/
BARAJA *barajar_cartas(BARAJA *); /*funcin que va a barajar las cartas*/
				/*devuelve una Baraja completamete barajada*/
				/*no tiene que ser una baraja ya creada*/
BARAJA *crear_baraja(void);	/*crea una nueva baraja ordenada y devuelve */
				/*puntero a ella*/
BARAJA *nueva_carta(void); /*retorna un nuevo nodo para la lista*/
void liberar_baraja(BARAJA *); /*libera la memoria de la baraja*/
BARAJA *sacar_carta(BARAJA *, int); /*saca la carta k de la baraja a*/
void imprimir_baraja(BARAJA *); /*imprime la baraja que se le de*/
#endif
